Show / Hide Table of Contents

# Struct QuestManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct QuestManager

### Fields

| Improve this Doc View Source

#### Quest

##### Declaration

    public QuestManager.QuestListArray Quest

##### Field Value

Type | Description
--- | ---
QuestManager.QuestListArray |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static QuestManager*Instance()

##### Returns

Type | Description
--- | ---
QuestManager* |

| Improve this Doc View Source

#### IsQuestComplete(UInt16)

##### Declaration

    public static bool IsQuestComplete(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsQuestComplete(UInt32)

##### Declaration

    public static bool IsQuestComplete(uint questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsQuestCurrent(UInt16)

##### Declaration

    public static bool IsQuestCurrent(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsQuestCurrent(UInt32)

##### Declaration

    public static bool IsQuestCurrent(uint questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |